# Generated from bond-0.5.1.gem by gem2rpm -*- rpm-spec -*-
%global debug_package %{nil}
%global gem_name bond

Name: rubygem-%{gem_name}
Version: 0.5.1
Release: 1%{?dist}
Summary: Mission: Easy custom autocompletion for arguments, methods and beyond. Accomplished for irb and any other readline-like console environments
License: MIT
URL: http://tagaholic.me/bond/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
BuildRequires: readline-devel
# BuildRequires: rubygem(bacon) >= 1.1.0
# BuildRequires: rubygem(mocha) >= 0.12.1
# BuildRequires: rubygem(mocha) < 0.13
# BuildRequires: rubygem(mocha-on-bacon) >= 0.2.1
# BuildRequires: rubygem(mocha-on-bacon) < 0.3
# BuildRequires: rubygem(bacon-bits)

%description
Bond is on a mission to improve autocompletion in ruby, especially for
irb/ripl. Aside from doing everything irb's can do and fixing its quirks, Bond
can autocomplete argument(s) to methods, uniquely completing per module, per
method and per argument. Bond brings ruby autocompletion closer to bash/zsh as
it provides a configuration system and a DSL for creating custom completions
and completion rules. With this configuration system, users can customize
their autocompletions and share it with others. Bond can also load completions
that ship with gems.  Bond is able to offer more than irb's completion since
it uses the full line of input when completing as opposed to irb's last-word
approach.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}

# Prevent dangling symlink in -debuginfo (rhbz#878863).


%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.gemspec
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/ext
%{gem_libdir}
%exclude %{gem_cache} 
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Sat Apr 14 2018 Eldar Yusupov <eyusupov@gmail.com> - 0.5.1-1
- Initial package
